=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2006-09-29 06:28:58 +0000
+++ BRANCH.TODO	2006-10-04 02:24:48 +0000
@@ -1,4 +1,3 @@
 # This file is for listing TODOs for branches that are being worked on.
 # It should ALWAYS be empty in the mainline or in integration branches.
 # 
-

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2006-09-29 06:28:58 +0000
+++ bzrlib/tests/test_smart_transport.py	2006-10-04 02:24:48 +0000
@@ -1017,9 +1017,6 @@
         smart.SmartServerStreamMedium.__init__(self, memory.MemoryTransport())
         self._write_output_list = write_output_list
 
-    def _write_and_flush(self, bytes):
-        self._write_output_list.append(bytes)
-
 
 class TestSmartProtocol(tests.TestCase):
     """Tests for the smart protocol.

=== modified file 'bzrlib/transport/smart.py'
--- bzrlib/transport/smart.py	2006-09-29 06:28:58 +0000
+++ bzrlib/transport/smart.py	2006-10-04 02:24:48 +0000
@@ -246,8 +246,8 @@
 class SmartProtocolBase(object):
     """Methods common to client and server"""
 
-    # TODO: this only actually accomodates a single block; possibly should support
-    # multiple chunks?
+    # TODO: this only actually accomodates a single block; possibly should
+    # support multiple chunks?
     def _encode_bulk_data(self, body):
         """Encode body as a bulk data chunk."""
         return ''.join(('%d\n' % len(body), body, 'done\n'))
@@ -258,20 +258,6 @@
         for start, length in offsets:
             txt.append('%d,%d' % (start, length))
         return '\n'.join(txt)
-
-    def _send_bulk_data(self, body, a_file=None):
-        """Send chunked body data"""
-        assert isinstance(body, str)
-        bytes = self._encode_bulk_data(body)
-        self._write_and_flush(bytes, a_file)
-
-    def _write_and_flush(self, bytes, a_file=None):
-        """Write bytes to self._out and flush it."""
-        # XXX: this will be inefficient.  Just ask Robert.
-        if a_file is None:
-            a_file = self._out
-        a_file.write(bytes)
-        a_file.flush()
         
 
 class SmartServerRequestProtocolOne(SmartProtocolBase):
@@ -299,8 +285,6 @@
                 # no command line yet
                 return
             self.has_dispatched = True
-            # XXX if in_buffer not \n-terminated this will do the wrong
-            # thing.
             try:
                 first_line, self.in_buffer = self.in_buffer.split('\n', 1)
                 first_line += '\n'
@@ -356,7 +340,6 @@
             assert isinstance(body, str), 'body must be a str'
             bytes = self._encode_bulk_data(body)
             self._write_func(bytes)
-            #self._send_bulk_data(body, self._out_stream)
 
     def sync_with_request(self, request):
         self._finished_reading = request.finished_reading

